# caesarCipherMachine.py

# Initialise variables
alphabet  = "abcdefghijklmnopqrstuvwxyz"

# Functions
def encode_decode(text, key):
    text_out = ""
    for letter in text:
        if letter in alphabet:
            i = alphabet.find(letter) + key
            text_out = text_out + alphabet[i % 26]
        else:
            text_out = text_out + letter
    return text_out

# Get Code
message_in = input("Please enter your message:\n")
message_in = message_in.lower()

# Encoding or decoding?
process = input("Choose to encode [E] or decode [D]:\n")

# Get Key
cipher_key = int(input("Please enter a key between 1 and 26:\n"))
if process == "D" or process == "d":
    cipher_key = -cipher_key

# Create Encoded/Decoded message
message_out = encode_decode(message_in, cipher_key)
if process == "E" or process == "e":
    message_out = message_out.upper()
    
print("Here is your message:\n", message_out, sep="")
