# challenge1.py
# A friendly version of thinkOfACard.py

import random

# Initialise variables
guess = ""
correct = "n"

# Initialise tuples
suit = ("clubs", "diamonds", "hearts", "spades") 
rank = ("two", "three", "four", "five", "six", "seven", "eight",
        "nine", "ten", "jack", "queen", "king", "ace")

# Function
def choose_card():
    # Computer picks a card:
    guess_suit = random.choice(suit)
    guess_rank = random.choice(rank)
    guess = guess_rank + " of " + guess_suit
    return guess

# Start the game
user_name = input("Hello, my name is Mighty Persistent. What's yours? ")
print("I have magic powers", user_name, "\nI can guess what you are thinking.")
print("Think of a card but do not tell me what it is.\n")

input("Press ENTER when you have thought of a card.")

print("\nYou are thinking of the", choose_card())
correct = input("Am I correct? (y/n)")

while correct != "y":
    print("\nOh, then it must be the", choose_card())
    correct = input("Am I correct? (y/n)")

# Finish
print("\nYay!\nI told you I could guess what you are thinking.")

#Exit nicely
msg = "\nThanks for playing " + user_name + ".\nPress RETURN to finish."
input(msg)
