# guessMyCard.py
# Guess my Card

import random

# initialise variables
counter = 0

# initialise tuples
suit = ("Clubs", "Diamonds", "Hearts", "Spades") 
rank = ("2", "3", "4", "5", "6", "7", "8", "9", "10",
        "Jack", "Queen", "King", "Ace")

#### Start the game
# Computer picks a card:
comp_card_suit = random.choice(suit)
comp_card_rank = random.choice(rank)

print("Hello.\nI have picked a card from a standard pack.")
print("See how many guesses you need to guess it.\n")

# Start suit guess loop
while True:
    # Collect the user's suit guess
    guess = input("Can you guess what suit it is? (C/D/H/S) ")
    if guess != comp_card_suit[:1]:
        counter = counter+1
        print("Sorry it is not", guess)
    else:
        break
    
# Suit is correct
counter = counter+1
print("\nOK, you have the suit and it only took", counter, "guesses.")
print("\nNow can you guess what the card's rank is?")

# Start rank guess loop
while True:
    # Collect the user's rank guess
    guess = input("Choose a number from 2 to 10 or J/Q/K/A: ")
    if guess != comp_card_rank[:1]:
        counter = counter+1
        print("Sorry it is not the", guess, "of", comp_card_suit)
        print("(", counter, " guesses so far. )")
    else:
        break

# Finish
print("\nCongratulations!\nMy card is the", comp_card_rank, "of", comp_card_suit)
print("In total it took", counter+1, "guesses.")

# exit nicely
input("\n\nPress the RETURN key to finish.")
