# challenge4.py
# This game has three rooms.
# The aim is to collect the phone and sim card plus a book.

rooms = (
    { "name":"Reception",
      "item":"mobile phone" },
    
    { "name":"Hall" },
    
    { "name":"Lounge",
      "item":"sim card",
      "item2":"book"}
    )

backpack = []
current_location = 0

# Functions
def look():
    if "item" in rooms[current_location] or "item2" in rooms[current_location]:
        if "item" in rooms[current_location]:
            print("You can see a " + rooms[current_location]["item"])
        if "item2" in rooms[current_location]:
            print("You can see a " + rooms[current_location]["item2"])
    else:
        print("Nothing to see here.")

def grab():
    if "item" in rooms[current_location]:
        backpack.append(rooms[current_location]["item"])
        print("You now have the " + rooms[current_location]["item"])
        del rooms[current_location]["item"]
    if "item2" in rooms[current_location]:
        backpack.append(rooms[current_location]["item2"])
        print("You now have the " + rooms[current_location]["item2"])
        del rooms[current_location]["item2"]

def inventory():
    print(backpack)

def move_north():
    global current_location
    if current_location > 0:
        current_location=current_location-1
    else:
        print("You have bumped into a wall.")

def move_south():
    global current_location
    if current_location < len(rooms)-1:
        current_location=current_location+1
    else:
        print("You have bumped into a wall.")

# Start game
name = input("Hi, welcome to my world.\nWhat is your name? ")
print("Have fun exploring my world", name, "\n\nHere are the commands:")
print("L = look\nG = grab\nI = inventory\nN = go north\nS = go south\nQ = quit.")

# Create ininite loop:
while True:
    print("\nYou are in the", rooms[current_location]["name"])
    command = input("What do you want to do? ")
    if command == "L" or command == "l":
        look()
    elif command == "G" or command == "g":
        grab()
    elif (command == "I" or command == "i"):
        inventory()
    elif command == "N" or command == "n":
        move_north()
    elif command == "S" or command == "s":
        move_south()
    elif command == "Q" or command == "q":
        break
    else:
        print("\nPlease enter only L, G, I, N, S or Q ")

print("\nThanks for playing", name)

